Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 492784 (CVE-2013-6712) - <dev-lang/php-{5.3.28,5.4.23,5.5.7}: heap-based buffer over-read in DateInterval (CVE-2013-6712)
Summary: <dev-lang/php-{5.3.28,5.4.23,5.5.7}: heap-based buffer over-read in DateInter...
Status: RESOLVED FIXED
Alias: CVE-2013-6712
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A2 [glsa]
Keywords:
Depends on: 494240
Blocks:
  Show dependency tree
 
Reported: 2013-11-28 11:19 UTC by Agostino Sarubbo
Modified: 2014-08-31 11:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-11-28 11:19:54 UTC
From ${URL} :

Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6712 to the following vulnerability:

Name: CVE-2013-6712
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6712
Assigned: 20131108
Reference: https://bugs.php.net/bug.php?id=66060
Reference: http://git.php.net/?p=php-src.git;a=commit;h=12fe4e90be7bfa2a763197079f68f5568a14e071

The scan function in ext/date/lib/parse_iso_intervals.c in PHP through 5.5.6 does not properly restrict 
creation of DateInterval objects, which might allow remote attackers to cause a denial of service 
(heap-based buffer over-read) via a crafted interval specification.


@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Ole Markus With (RETIRED) gentoo-dev 2013-11-28 12:16:31 UTC
It is ready. Go ahead.
Comment 2 Agostino Sarubbo gentoo-dev 2013-11-28 13:40:39 UTC
(In reply to Ole Markus With from comment #1)
> It is ready. Go ahead.

What about the previous series? (5.4-5.3)
Comment 3 Ole Markus With (RETIRED) gentoo-dev 2013-12-05 15:53:13 UTC
(In reply to Agostino Sarubbo from comment #2)
> (In reply to Ole Markus With from comment #1)
> > It is ready. Go ahead.
> 
> What about the previous series? (5.4-5.3)

5.4 should have a fix already.

5.3 is affected, but do not have a release with a fix.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-12-27 01:38:28 UTC
CVE-2013-6712 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-6712):
  The scan function in ext/date/lib/parse_iso_intervals.c in PHP through 5.5.6
  does not properly restrict creation of DateInterval objects, which might
  allow remote attackers to cause a denial of service (heap-based buffer
  over-read) via a crafted interval specification.
Comment 5 Yury German Gentoo Infrastructure gentoo-dev Security 2013-12-27 14:04:13 UTC
Are we ready for stabilization on all trees effected for this?
Comment 6 Ole Markus With (RETIRED) gentoo-dev 2013-12-27 14:05:51 UTC
(In reply to Yury German from comment #5)
> Are we ready for stabilization on all trees effected for this?

Sure. Also, a fix for 5.3 has been released and is available in the tree.
Comment 7 Yury German Gentoo Infrastructure gentoo-dev Security 2013-12-30 01:55:05 UTC
Arches, please test and mark stable:

=dev-lang/php-5.3.28
=dev-lang/php-5.4.23
=dev-lang/php-5.5.7

Target Keywords : "alpha amd64 arm hppa ia64 ppc ppc64 spark x86"
Comment 8 Agostino Sarubbo gentoo-dev 2014-01-03 21:11:48 UTC
amd64 stable
Comment 9 Agostino Sarubbo gentoo-dev 2014-01-03 21:16:45 UTC
x86 stable
Comment 10 Agostino Sarubbo gentoo-dev 2014-01-04 12:38:47 UTC
ppc stable
Comment 11 Agostino Sarubbo gentoo-dev 2014-01-04 12:40:09 UTC
ppc64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2014-01-04 12:41:40 UTC
sparc stable
Comment 13 Jeroen Roovers gentoo-dev 2014-01-04 18:29:48 UTC
(In reply to Agostino Sarubbo from comment #8)
> amd64 stable

What combination of USE flags allowed you to work around bug #494240?
Comment 14 Agostino Sarubbo gentoo-dev 2014-01-05 09:10:27 UTC
arm stable
Comment 15 Agostino Sarubbo gentoo-dev 2014-01-05 09:37:52 UTC
alpha stable
Comment 16 Ole Markus With (RETIRED) gentoo-dev 2014-01-10 17:01:47 UTC
Bug 494240 prevented certain people from merging php-5.3.28. I committed a revbump that fixes this issue. If we could have this version stabilied, that would be much appreciated.
Comment 17 Jeroen Roovers gentoo-dev 2014-01-10 17:25:03 UTC
(In reply to Ole Markus With from comment #16)
> Bug 494240 prevented certain people from merging php-5.3.28. I committed a
> revbump that fixes this issue. If we could have this version stabilied, that
> would be much appreciated.

You'll need to add the arch aliases back, then. CC'ing ago had no effect.

Stable for HPPA.
Comment 18 Agostino Sarubbo gentoo-dev 2014-01-12 13:17:55 UTC
ia64 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 19 Richard Freeman gentoo-dev 2014-01-17 18:12:49 UTC
(In reply to Ole Markus With from comment #16)
> Bug 494240 prevented certain people from merging php-5.3.28. I committed a
> revbump that fixes this issue. If we could have this version stabilied, that
> would be much appreciated.

amd64 stable on that
Comment 20 Yury German Gentoo Infrastructure gentoo-dev Security 2014-01-22 21:03:53 UTC
Added to existing GLSA draft.

Maintainer(s), please drop the vulnerable version(s).
Comment 21 Yury German Gentoo Infrastructure gentoo-dev Security 2014-05-15 04:12:54 UTC
Arches and Mainter(s), Thank you for your work.
Comment 22 GLSAMaker/CVETool Bot gentoo-dev 2014-08-31 11:26:47 UTC
This issue was resolved and addressed in
 GLSA 201408-11 at http://security.gentoo.org/glsa/glsa-201408-11.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).